## linux-restricted-modules-nvidia-6.11 6.11.0-1016.16

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate-nvidia-6.11 (6.11.0-1016.16) noble; urgency=medium

  * Main version: 6.11.0-1016.16

 -- Jacob Martin <jacob.martin@canonical.com>  Sun, 21 Sep 2025 10:36:13 -0500

linux-restricted-generate-nvidia-6.11 (6.11.0-1015.15) noble; urgency=medium

  * Main version: 6.11.0-1015.15

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2025.09.16)

 -- Jacob Martin <jacob.martin@canonical.com>  Fri, 19 Sep 2025 17:48:11 -0500

linux-restricted-generate-nvidia-6.11 (6.11.0-1014.14) noble; urgency=medium

  * Main version: 6.11.0-1014.14

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Jacob Martin <jacob.martin@canonical.com>  Thu, 14 Aug 2025 11:47:24 -0500
