=== debian/control ===
--- 
+++ 
@@ -15,39 +15,14 @@
  python3,
  python3-apt,
 XSC-Ubuntu-Nvidia-Dependencies:
- nvidia-graphics-drivers-535 (= 535.247.01-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-535-server (= 535.261.03-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-550 (= 550.163.01-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570 (= 570.172.08-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570-server (= 570.172.08-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-580 (= 580.65.06-0ubuntu0.24.04.4),
- nvidia-graphics-drivers-580-server (= 580.65.06-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-535 (= 535.274.02-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-535-server (= 535.274.02-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-570 (= 570.195.03-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-570-server (= 570.195.03-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-580 (= 580.95.05-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-580-server (= 580.95.05-0ubuntu0.24.04.2),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-nvidia/+git/noble
-
-Package: linux-modules-nvidia-550-nvidia-6.11
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-6.11.0-1016-nvidia (= ${binary:Version}),
- ${nvk:nvidia-550},
-Description: Extra drivers for nvidia-550 for the nvidia-6.11 flavour
- Install extra signed nvidia-550 modules compatible with the nvidia-6.11 flavour.
-
-Package: linux-modules-nvidia-550-open-nvidia-6.11
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-open-6.11.0-1016-nvidia (= ${binary:Version}),
- ${nvk:nvidia-550-open},
-Description: Extra drivers for nvidia-550-open for the nvidia-6.11 flavour
- Install extra signed nvidia-550-open modules compatible with the nvidia-6.11 flavour.
 
 Package: linux-modules-nvidia-570-nvidia-6.11
 Build-Profiles: <!stage1>
@@ -169,30 +144,6 @@
 Description: Extra drivers for nvidia-580-server-open for the nvidia-6.11 flavour
  Install extra signed nvidia-580-server-open modules compatible with the nvidia-6.11 flavour.
 
-Package: linux-modules-nvidia-550-nvidia-64k-6.11
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-6.11.0-1016-nvidia-64k (= ${binary:Version}),
- ${nvk:nvidia-550},
-Description: Extra drivers for nvidia-550 for the nvidia-64k-6.11 flavour
- Install extra signed nvidia-550 modules compatible with the nvidia-64k-6.11 flavour.
-
-Package: linux-modules-nvidia-550-open-nvidia-64k-6.11
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-550-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-550-open-6.11.0-1016-nvidia-64k (= ${binary:Version}),
- ${nvk:nvidia-550-open},
-Description: Extra drivers for nvidia-550-open for the nvidia-64k-6.11 flavour
- Install extra signed nvidia-550-open modules compatible with the nvidia-64k-6.11 flavour.
-
 Package: linux-modules-nvidia-570-nvidia-64k-6.11
 Build-Profiles: <!stage1>
 Architecture: arm64 
@@ -298,3 +249,51 @@
  ${misc:Depends},
  linux-modules-nvidia-580-server-6.11.0-1016-nvidia-64k (= ${binary:Version}),
  ${nvk:nvidia-580-server},
+Description: Extra drivers for nvidia-580-server for the nvidia-64k-6.11 flavour
+ Install extra signed nvidia-580-server modules compatible with the nvidia-64k-6.11 flavour.
+
+Package: linux-modules-nvidia-580-server-open-nvidia-64k-6.11
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-server-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-server-open-6.11.0-1016-nvidia-64k (= ${binary:Version}),
+ ${nvk:nvidia-580-server-open},
+Description: Extra drivers for nvidia-580-server-open for the nvidia-64k-6.11 flavour
+ Install extra signed nvidia-580-server-open modules compatible with the nvidia-64k-6.11 flavour.
+
+Package: linux-modules-nvidia-570-nvidia-hwe-24.04
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-570-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-570},
+Description: Extra drivers for nvidia-570 for the nvidia-hwe-24.04 flavour
+ Install extra signed nvidia-570 modules compatible with the nvidia-hwe-24.04 flavour.
+
+Package: linux-modules-nvidia-570-open-nvidia-hwe-24.04
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-570-open-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-570-open},
+Description: Extra drivers for nvidia-570-open for the nvidia-hwe-24.04 flavour
+ Install extra signed nvidia-570-open modules compatible with the nvidia-hwe-24.04 flavour.
+
+Package: linux-modules-nvidia-580-nvidia-hwe-24.04
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-580-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-580},
