## linux-restricted-modules-nvidia-6.11 6.11.0-1016.16+4

=== debian/ancillary/linux-restricted-generate/debian/changelog ===
linux-restricted-generate-nvidia-6.11 (6.11.0-1016.16+4) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/d2025.09.16)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 16 Jan 2026 19:45:38 +0000

linux-restricted-generate-nvidia-6.11 (6.11.0-1016.16+3) noble; urgency=medium

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (adhoc/d2025.09.16)

 -- Andy Whitcroft <apw@canonical.com>  Fri, 16 Jan 2026 11:10:44 +0000
