=== debian/control ===
--- 
+++ 
@@ -15,12 +15,14 @@
  python3,
  python3-apt,
 XSC-Ubuntu-Nvidia-Dependencies:
- nvidia-graphics-drivers-535 (= 535.274.02-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-535-server (= 535.274.02-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-570 (= 570.195.03-0ubuntu0.24.04.1),
- nvidia-graphics-drivers-570-server (= 570.195.03-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-580 (= 580.95.05-0ubuntu0.24.04.2),
- nvidia-graphics-drivers-580-server (= 580.95.05-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-535 (= 535.288.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-535-server (= 535.288.01-0ubuntu0.24.04.2),
+ nvidia-graphics-drivers-570 (= 570.211.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-570-server (= 570.211.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-580 (= 580.126.09-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-580-server (= 580.126.09-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-590 (= 590.48.01-0ubuntu0.24.04.1),
+ nvidia-graphics-drivers-590-server (= 590.48.01-0ubuntu0.24.04.1),
 Standards-Version: 3.9.4
 Vcs-Git: git://git.launchpad.net/~canonical-kernel/ubuntu/+source/linux-restricted-modules-nvidia/+git/noble
 
@@ -72,6 +74,30 @@
 Description: Extra drivers for nvidia-580-open for the nvidia-6.11 flavour
  Install extra signed nvidia-580-open modules compatible with the nvidia-6.11 flavour.
 
+Package: linux-modules-nvidia-590-nvidia-6.11
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-590-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-590},
+Description: Extra drivers for nvidia-590 for the nvidia-6.11 flavour
+ Install extra signed nvidia-590 modules compatible with the nvidia-6.11 flavour.
+
+Package: linux-modules-nvidia-590-open-nvidia-6.11
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-590-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-open-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-590-open},
+Description: Extra drivers for nvidia-590-open for the nvidia-6.11 flavour
+ Install extra signed nvidia-590-open modules compatible with the nvidia-6.11 flavour.
+
 Package: linux-modules-nvidia-535-server-nvidia-6.11
 Build-Profiles: <!stage1>
 Architecture: amd64 arm64 
@@ -144,6 +170,30 @@
 Description: Extra drivers for nvidia-580-server-open for the nvidia-6.11 flavour
  Install extra signed nvidia-580-server-open modules compatible with the nvidia-6.11 flavour.
 
+Package: linux-modules-nvidia-590-server-nvidia-6.11
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-590-server-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-server-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-590-server},
+Description: Extra drivers for nvidia-590-server for the nvidia-6.11 flavour
+ Install extra signed nvidia-590-server modules compatible with the nvidia-6.11 flavour.
+
+Package: linux-modules-nvidia-590-server-open-nvidia-6.11
+Build-Profiles: <!stage1>
+Architecture: amd64 arm64 
+Section: kernel
+Provides: ${dkms:nvidia-590-server-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-server-open-6.11.0-1016-nvidia (= ${binary:Version}),
+ ${nvk:nvidia-590-server-open},
+Description: Extra drivers for nvidia-590-server-open for the nvidia-6.11 flavour
+ Install extra signed nvidia-590-server-open modules compatible with the nvidia-6.11 flavour.
+
 Package: linux-modules-nvidia-570-nvidia-64k-6.11
 Build-Profiles: <!stage1>
 Architecture: arm64 
@@ -192,6 +242,30 @@
 Description: Extra drivers for nvidia-580-open for the nvidia-64k-6.11 flavour
  Install extra signed nvidia-580-open modules compatible with the nvidia-64k-6.11 flavour.
 
+Package: linux-modules-nvidia-590-nvidia-64k-6.11
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-590-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-6.11.0-1016-nvidia-64k (= ${binary:Version}),
+ ${nvk:nvidia-590},
+Description: Extra drivers for nvidia-590 for the nvidia-64k-6.11 flavour
+ Install extra signed nvidia-590 modules compatible with the nvidia-64k-6.11 flavour.
+
+Package: linux-modules-nvidia-590-open-nvidia-64k-6.11
+Build-Profiles: <!stage1>
+Architecture: arm64 
+Section: kernel
+Provides: ${dkms:nvidia-590-open-modules}, nvidia-prebuilt-kernel
+Depends:
+ ${misc:Depends},
+ linux-modules-nvidia-590-open-6.11.0-1016-nvidia-64k (= ${binary:Version}),
+ ${nvk:nvidia-590-open},
+Description: Extra drivers for nvidia-590-open for the nvidia-64k-6.11 flavour
+ Install extra signed nvidia-590-open modules compatible with the nvidia-64k-6.11 flavour.
+
 Package: linux-modules-nvidia-535-server-nvidia-64k-6.11
 Build-Profiles: <!stage1>
 Architecture: arm64 
@@ -224,76 +298,3 @@
 Depends:
  ${misc:Depends},
  linux-modules-nvidia-570-server-6.11.0-1016-nvidia-64k (= ${binary:Version}),
- ${nvk:nvidia-570-server},
-Description: Extra drivers for nvidia-570-server for the nvidia-64k-6.11 flavour
- Install extra signed nvidia-570-server modules compatible with the nvidia-64k-6.11 flavour.
-
-Package: linux-modules-nvidia-570-server-open-nvidia-64k-6.11
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-570-server-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-570-server-open-6.11.0-1016-nvidia-64k (= ${binary:Version}),
- ${nvk:nvidia-570-server-open},
-Description: Extra drivers for nvidia-570-server-open for the nvidia-64k-6.11 flavour
- Install extra signed nvidia-570-server-open modules compatible with the nvidia-64k-6.11 flavour.
-
-Package: linux-modules-nvidia-580-server-nvidia-64k-6.11
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-580-server-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-580-server-6.11.0-1016-nvidia-64k (= ${binary:Version}),
- ${nvk:nvidia-580-server},
-Description: Extra drivers for nvidia-580-server for the nvidia-64k-6.11 flavour
- Install extra signed nvidia-580-server modules compatible with the nvidia-64k-6.11 flavour.
-
-Package: linux-modules-nvidia-580-server-open-nvidia-64k-6.11
-Build-Profiles: <!stage1>
-Architecture: arm64 
-Section: kernel
-Provides: ${dkms:nvidia-580-server-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-580-server-open-6.11.0-1016-nvidia-64k (= ${binary:Version}),
- ${nvk:nvidia-580-server-open},
-Description: Extra drivers for nvidia-580-server-open for the nvidia-64k-6.11 flavour
- Install extra signed nvidia-580-server-open modules compatible with the nvidia-64k-6.11 flavour.
-
-Package: linux-modules-nvidia-570-nvidia-hwe-24.04
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-570-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-570-6.11.0-1016-nvidia (= ${binary:Version}),
- ${nvk:nvidia-570},
-Description: Extra drivers for nvidia-570 for the nvidia-hwe-24.04 flavour
- Install extra signed nvidia-570 modules compatible with the nvidia-hwe-24.04 flavour.
-
-Package: linux-modules-nvidia-570-open-nvidia-hwe-24.04
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-570-open-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-570-open-6.11.0-1016-nvidia (= ${binary:Version}),
- ${nvk:nvidia-570-open},
-Description: Extra drivers for nvidia-570-open for the nvidia-hwe-24.04 flavour
- Install extra signed nvidia-570-open modules compatible with the nvidia-hwe-24.04 flavour.
-
-Package: linux-modules-nvidia-580-nvidia-hwe-24.04
-Build-Profiles: <!stage1>
-Architecture: amd64 arm64 
-Section: kernel
-Provides: ${dkms:nvidia-580-modules}, nvidia-prebuilt-kernel
-Depends:
- ${misc:Depends},
- linux-modules-nvidia-580-6.11.0-1016-nvidia (= ${binary:Version}),
- ${nvk:nvidia-580},
